Subject: Re: [PATCH 5/5] PCI fixes for the MPC8641 Rev 2.0 silicon and Rev 1.02hardware

From: Scott Wood <[email-masked]>
Date: Fri, 18 May 2007 13:02:55 -0500

Timur Tabi wrote:
> Scott Wood wrote:
>> That's your model.  

Yes.  That was the whole point of my post, to point out my alternative. 
    You were the one that said, "Actually, we're talking about the same 
thing."

>> Mine involves merging a fragment that corresponds 
>> to an active hwoption, with no complex conditional evaluation or 
>> deletion of anything from the main tree.
> 
> 
> I think my model (which is also Jon's, I think) is easier to read 

What does the dtb-level implementation have to do with ease of reading? 
  I said that I didn't mind conditionals at the source level that get 
turned to hwoptions at the dtb level.

> and implement.

I disagree.

> phy-node [ if j22 = on ]
> {
>     phy-type = 1
> }
> 
> phy-node [ if j22 = off ]
> {
>     phy-type = 2
> }

Ah.

So I take it you'll need a new dtb version to implement this?  No such 
revision would be needed for my model.

-Scott